import { ActionHandler } from './action-handler.interface';
import { ActionExecutionResult, PlanExecutionContext, ToolMetadata } from '../llm-orchestration.interfaces';
export declare class AskUserHandler implements ActionHandler {
    readonly toolName = "ask_user";
    getMetadata(): ToolMetadata;
    private generateExample;
    getDefinition(): string;
    execute(args: {
        [key: string]: any;
    }, context: PlanExecutionContext): Promise<ActionExecutionResult>;
}
